#ifndef LIBSARIA_PATH_H
#define LIBSARIA_PATH_H

#include <string>
#include <list>
using namespace std;

#include <sys/types.h>

struct file
{
	string name;
	ino_t  d_ino;
};

void readdir(string, list<file> &, list<file> &);
string get_saria_dir();
void make_saria_dir();
bool get_inode(string, ino_t &);

#endif /* LIBSARIA_PATH_H */
